%define third_party_jars jakarta-commons-collections xerces-j2 junit servletapi4 velocity velocity-tools
%define jpackage_jars %third_party_jars
%define jpackage_reqs %third_party_jars

Summary: A web-page layout and decoration framework and web application integration framework
Name: sitemesh
Source9999: version
Version: %(echo `awk '{ print $1 }' %{SOURCE9999}`)
Release: %(echo `awk '{ print $2 }' %{SOURCE9999}`)%{?dist}
License: OpenSymphony Software License
Group: Application/Development
URL: http://www.opensymphony.com/sitemesh/
Source0: %{name}-%{version}-sources.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: %jpackage_reqs
BuildRequires: ant-junit
BuildRequires: java-1.5.0-ibm-devel
BuildArch: noarch

%description 
SiteMesh is a web-page layout and decoration framework and web-
application integration framework to aid in creating large sites
consisting of many pages for which a consistent look/feel, navigation
and layout scheme is required.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
mkdir sitemesh
cd sitemesh
unzip %{SOURCE0}

# Remove the jars that shipped with it to replace with jpackage jars
rm -Rfv lib/*.jar
build-jar-repository -p lib/ %jpackage_jars

# Remove freemarker dirs, which contain the code that depends on freemarker.
find . -name freemarker -type d | xargs rm -Rfv

%build
cd sitemesh
ls -l lib
ant

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 sitemesh/dist/sitemesh-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr sitemesh/dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Fri Jul  4 2008 Jan Pazdziora 2.1-1a_sat.2
- rebuild in dist-cvs.
- remove javacc Require.

* Thu Aug 12 2004 Chip Turner <cturner@redhat.com> 2.1-1
- Initial build.

